Ravens PHP Scripts: Forums
 

 

View next topic
View previous topic
Post new topic   Reply to topic    Ravens PHP Scripts And Web Hosting Forum Index -> Post Installation Help
Author Message
Susann
Moderator


Joined: Dec 19, 2004
Posts: 3191
Location: Germany:Moderator German NukeSentinel Support

PostPosted: Thu Jan 12, 2006 7:06 pm Reply with quote

Through the behavior of several bots I checked my site with some tools and I found first that my site isn´t valid anymore because of such warnings:

Quote:
cannot generate system identifier for general entity "PHPSESSID".
<a href="index.php?newlang=english&PHPSESSID=29bcef894f1d95006
general entity "PHPSESSID" not defined and no default entity.
reference to entity "PHPSESSID" for which no system identifier could be generated.

Very bad, I have now urls like this:

account.html?PHPSESSID=f17ea037abc0
- downloads.html?PHPSESSID=f17ea037
- forums.html?PHPSESSID=f17ea037abc
- news.html?PHPSESSID=f17ea037abc09
- topics.html?PHPSESSID=f17ea037abc09


I never had this problem before and I really don´t know why this suddenly changed and which file I can check again. Is it also possible that this has to do something with my web hoster ? Any ideas how to solve this would be great !
 
View user's profile Send private message
Susann
PostPosted: Fri Jan 13, 2006 1:14 pm Reply with quote

This problem is fixed if I comment out that line in includes/nukesentinel.php:

Code:
define("NUKESENTINEL_IS_LOADED", TRUE);

//session_start();


My tools shows nice urls again.

Maybe I should not use this nukesentinel version with my configuration, because it seems some blockers doesn´t work like before.
 
Raven
Site Admin/Owner


Joined: Aug 27, 2002
Posts: 17086

PostPosted: Sat Jan 14, 2006 2:12 am Reply with quote

Comment out what line? The session_start() line is commented out in the later releases of NukeSentinel(tm). What version are you using?
 
View user's profile Send private message
Susann
PostPosted: Sat Jan 14, 2006 9:14 am Reply with quote

I´m talking about the NukeSentinel version 71_77_230 I had this strange problem.In the next version 231 the session_start line is comment out.
 
Raven
PostPosted: Sat Jan 14, 2006 9:16 am Reply with quote

Ah. Well, you need to upgrade to to v2.4.2 ASAP.
 
Susann
PostPosted: Sat Jan 14, 2006 9:21 am Reply with quote

Would be better, but doesn´t work with my 6.5 configuration.
 
Raven
PostPosted: Sat Jan 14, 2006 9:22 am Reply with quote

It should if you update to the 3.1 patch.
 
evaders99
Former Moderator in Good Standing


Joined: Apr 30, 2004
Posts: 3221

PostPosted: Sat Jan 14, 2006 4:52 pm Reply with quote

But 3.1 hasn't been updated for 6.5 .. Smile
Really if you can, upgrade to the 7.x series.
I don't know if anyone will manage to get the Patched 3.1 for 6.x - who has the time to update..

_________________
- Only registered users can see links on this board! Get registered or login! -

Need help? Only registered users can see links on this board! Get registered or login! 
View user's profile Send private message Visit poster's website
Susann
PostPosted: Sat Jan 14, 2006 6:50 pm Reply with quote

I know this.That´s the dilemma with old nuke versions and some specials modules. OffTopic
 
Raven
PostPosted: Sat Jan 14, 2006 7:09 pm Reply with quote

evaders99 wrote:
But 3.1 hasn't been updated for 6.5 .. Smile
Really if you can, upgrade to the 7.x series.
I don't know if anyone will manage to get the Patched 3.1 for 6.x - who has the time to update..

Officially, no. But, I run 6.9 and I adapted it Wink

Actually all your need is NukePatched 2.9.
 
evaders99
PostPosted: Sat Jan 14, 2006 7:36 pm Reply with quote

Smile Cool
I used 6.9 for quite a while, but since I didn't run that site anymore, I haven't kept it to the latest Patched
 
Display posts from previous:       
Post new topic   Reply to topic    Ravens PHP Scripts And Web Hosting Forum Index -> Post Installation Help

View next topic
View previous topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum


Powered by phpBB © 2001-2007 phpBB Group
All times are GMT - 6 Hours
 
Forums ©